Saxon API for .NET |

# XmlDestination Methods

The methods of the XmlDestination class are listed below. For a complete list of XmlDestination class members, see the XmlDestination Members topic.

#### Public Instance Methods

Close | Close the Destination, releasing any resources that need to be released.
Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetOutputProperties | Get a set of `Properties` representing the parameters to the serializer. The default implementation returns an empty set of properties.
GetResult | Get a `Result` to which the XML document can be sent as a series of events.
GetType (inherited from Object) | Gets the Type of the current instance.
ToString (inherited from Object) | Returns a String that represents the current Object.

#### Protected Instance Methods

Finalize (inherited from Object) | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection.
MemberwiseClone (inherited from Object) | Creates a shallow copy of the current Object.

#### See Also

XmlDestination Class | Saxon.Api Namespace